roller-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "David Johnson (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (ROL-1840) Upgrade all Java deps to latest stable versions
Date Sat, 10 Oct 2009 16:22:31 GMT

     [ https://issues.apache.org/jira/browse/ROL-1840?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

David Johnson resolved ROL-1840.
--------------------------------

         Resolution: Fixed
    Level of effort: 3h

URL: http://svn.apache.org/viewvc?rev=823874&view=rev
Log:
Upgrading all Java dependencies to latest stable versions. Some code changes were required
for move to Lucene 2.9.0 and move to Java 1.5 concurrent classes. All unit tests are passing,
basic sanity tests have been done and I'll upgrade my site to latest trunk this weekend.

Here are the ugprade details:

Spring to 2.5.6
Spring Security to 2.0.5
EhCache to 1.6.2
Struts to 2.1.18
Commons Codec to 1.4
Commons Collections to 3.2.1
Commons Digester to 2.0
Commons HttpClient to 3.1
Commons Lang to 2.4
Commons Logging to 1.1.1
Guice to 2.0
Jaxen to 1.1.1
JDOM to 1.1.1
Log4J to 1.2.12
Lucene to 2.9.0
Saxpath to 1.0
Velocity to 1.6.2

> Upgrade all Java deps to latest stable versions
> -----------------------------------------------
>
>                 Key: ROL-1840
>                 URL: https://issues.apache.org/jira/browse/ROL-1840
>             Project: Roller
>          Issue Type: Improvement
>          Components: Build Process
>            Reporter: David Johnson
>            Assignee: David Johnson
>             Fix For: 5.0
>
>
> We've done this for Struts, let's do it for the rest of the Java deps

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message